"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
;/* empty css                                               */
;/* empty css                                                     */
;/* empty css                                                */
;/* empty css                                               */
;/* empty css                                                  */
;/* empty css                                                 */
;/* empty css                                                            */
const Vue = require("vue");
;/* empty css                */
const _pluginVue_exportHelper = require("../../../../../../_virtual/_plugin-vue_export-helper.js");
const index = require("../../../../node_modules/vant/es/action-bar/index.js");
const index$1 = require("../../../../node_modules/vant/es/action-bar-button/index.js");
const _sfc_main = {
  __name: "ActionBar",
  props: {
    actionBarOptions: {
      type: Array,
      default: []
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_van_action_bar_button = index$1.ActionBarButton;
      const _component_van_action_bar = index.ActionBar;
      return Vue.openBlock(), Vue.createBlock(_component_van_action_bar, { "safe-area-inset-bottom": "" }, {
        default: Vue.withCtx(() => [
          (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(__props.actionBarOptions, (item) => {
            return Vue.openBlock(), Vue.createBlock(_component_van_action_bar_button, {
              class: Vue.normalizeClass(item.bgClass || "icon-blue"),
              text: item.text
            }, null, 8, ["class", "text"]);
          }), 256))
        ]),
        _: 1
      });
    };
  }
};
const _ActionBar = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-08956b7c"]]);
exports.default = _ActionBar;
